"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "getTheme", {
  enumerable: true,
  get: function get() {
    return _getTheme.default;
  }
});
Object.defineProperty(exports, "themed", {
  enumerable: true,
  get: function get() {
    return _themed.default;
  }
});
Object.defineProperty(exports, "AtlaskitThemeProvider", {
  enumerable: true,
  get: function get() {
    return _AtlaskitThemeProvider.default;
  }
});
Object.defineProperty(exports, "Appearance", {
  enumerable: true,
  get: function get() {
    return _Appearance.default;
  }
});
Object.defineProperty(exports, "CHANNEL", {
  enumerable: true,
  get: function get() {
    return _constants.CHANNEL;
  }
});
Object.defineProperty(exports, "DEFAULT_THEME_MODE", {
  enumerable: true,
  get: function get() {
    return _constants.DEFAULT_THEME_MODE;
  }
});
Object.defineProperty(exports, "FLATTENED", {
  enumerable: true,
  get: function get() {
    return _constants.FLATTENED;
  }
});
Object.defineProperty(exports, "THEME_MODES", {
  enumerable: true,
  get: function get() {
    return _constants.THEME_MODES;
  }
});
Object.defineProperty(exports, "assistive", {
  enumerable: true,
  get: function get() {
    return _constants.assistive;
  }
});
Object.defineProperty(exports, "borderRadius", {
  enumerable: true,
  get: function get() {
    return _constants.borderRadius;
  }
});
Object.defineProperty(exports, "codeFontFamily", {
  enumerable: true,
  get: function get() {
    return _constants.codeFontFamily;
  }
});
Object.defineProperty(exports, "focusRing", {
  enumerable: true,
  get: function get() {
    return _constants.focusRing;
  }
});
Object.defineProperty(exports, "fontFamily", {
  enumerable: true,
  get: function get() {
    return _constants.fontFamily;
  }
});
Object.defineProperty(exports, "fontSize", {
  enumerable: true,
  get: function get() {
    return _constants.fontSize;
  }
});
Object.defineProperty(exports, "fontSizeSmall", {
  enumerable: true,
  get: function get() {
    return _constants.fontSizeSmall;
  }
});
Object.defineProperty(exports, "gridSize", {
  enumerable: true,
  get: function get() {
    return _constants.gridSize;
  }
});
Object.defineProperty(exports, "layers", {
  enumerable: true,
  get: function get() {
    return _constants.layers;
  }
});
Object.defineProperty(exports, "noFocusRing", {
  enumerable: true,
  get: function get() {
    return _constants.noFocusRing;
  }
});
Object.defineProperty(exports, "skeletonShimmer", {
  enumerable: true,
  get: function get() {
    return _constants.skeletonShimmer;
  }
});
Object.defineProperty(exports, "visuallyHidden", {
  enumerable: true,
  get: function get() {
    return _constants.visuallyHidden;
  }
});
Object.defineProperty(exports, "Reset", {
  enumerable: true,
  get: function get() {
    return _Reset.Reset;
  }
});
Object.defineProperty(exports, "ResetTheme", {
  enumerable: true,
  get: function get() {
    return _Reset.ResetTheme;
  }
});
Object.defineProperty(exports, "default", {
  enumerable: true,
  get: function get() {
    return _Theme.default;
  }
});
Object.defineProperty(exports, "useGlobalTheme", {
  enumerable: true,
  get: function get() {
    return _Theme.useGlobalTheme;
  }
});
Object.defineProperty(exports, "withTheme", {
  enumerable: true,
  get: function get() {
    return _hoc.withTheme;
  }
});
Object.defineProperty(exports, "createTheme", {
  enumerable: true,
  get: function get() {
    return _createTheme.createTheme;
  }
});
exports.math = exports.typography = exports.elevation = exports.colorPalettes = exports.colors = exports.AtlasKitThemeProvider = void 0;

var colors = _interopRequireWildcard(require("./colors"));

exports.colors = colors;

var colorPalettes = _interopRequireWildcard(require("./color-palettes"));

exports.colorPalettes = colorPalettes;

var elevation = _interopRequireWildcard(require("./elevation"));

exports.elevation = elevation;

var typography = _interopRequireWildcard(require("./typography"));

exports.typography = typography;

var math = _interopRequireWildcard(require("./utils/math"));

exports.math = math;

var _getTheme = _interopRequireDefault(require("./utils/getTheme"));

var _themed = _interopRequireDefault(require("./utils/themed"));

var _AtlaskitThemeProvider = _interopRequireDefault(require("./components/AtlaskitThemeProvider"));

var _Appearance = _interopRequireDefault(require("./components/Appearance"));

var _constants = require("./constants");

var _Reset = require("./components/Reset");

var _Theme = _interopRequireWildcard(require("./components/Theme"));

var _hoc = require("./hoc");

var _createTheme = require("./utils/createTheme");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

// backwards-compatible export with old Atlaskit case
var AtlasKitThemeProvider = _AtlaskitThemeProvider.default;
exports.AtlasKitThemeProvider = AtlasKitThemeProvider;