"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.h100 = exports.h200 = exports.h300 = exports.h400 = exports.h500 = exports.h600 = exports.h700 = exports.h800 = exports.h900 = exports.headingSizes = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _tokens = require("@atlaskit/tokens");

var colors = _interopRequireWildcard(require("./colors"));

var _constants = require("./constants");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

var baseHeading = function baseHeading(size, lineHeight) {
  return {
    fontSize: "".concat(size / (0, _constants.fontSize)(), "em"),
    fontStyle: 'inherit',
    lineHeight: lineHeight / size
  };
};

var headingSizes = {
  h900: {
    size: 35,
    lineHeight: 40
  },
  h800: {
    size: 29,
    lineHeight: 32
  },
  h700: {
    size: 24,
    lineHeight: 28
  },
  h600: {
    size: 20,
    lineHeight: 24
  },
  h500: {
    size: 16,
    lineHeight: 20
  },
  h400: {
    size: 14,
    lineHeight: 16
  },
  h300: {
    size: 12,
    lineHeight: 16
  },
  h200: {
    size: 12,
    lineHeight: 16
  },
  h100: {
    size: 11,
    lineHeight: 16
  }
};
exports.headingSizes = headingSizes;

var h900 = function h900() {
  var props = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return _objectSpread(_objectSpread({}, baseHeading(headingSizes.h900.size, headingSizes.h900.lineHeight)), {}, {
    color: (0, _tokens.token)('color.text.highEmphasis', colors.heading(props)),
    fontWeight: 500,
    letterSpacing: "-0.01em",
    marginTop: "".concat((0, _constants.gridSize)() * 6.5, "px")
  });
};

exports.h900 = h900;

var h800 = function h800() {
  var props = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return _objectSpread(_objectSpread({}, baseHeading(headingSizes.h800.size, headingSizes.h800.lineHeight)), {}, {
    color: (0, _tokens.token)('color.text.highEmphasis', colors.heading(props)),
    fontWeight: 600,
    letterSpacing: "-0.01em",
    marginTop: "".concat((0, _constants.gridSize)() * 5, "px")
  });
};

exports.h800 = h800;

var h700 = function h700() {
  var props = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return _objectSpread(_objectSpread({}, baseHeading(headingSizes.h700.size, headingSizes.h700.lineHeight)), {}, {
    color: (0, _tokens.token)('color.text.highEmphasis', colors.heading(props)),
    fontWeight: 500,
    letterSpacing: "-0.01em",
    marginTop: "".concat((0, _constants.gridSize)() * 5, "px")
  });
};

exports.h700 = h700;

var h600 = function h600() {
  var props = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return _objectSpread(_objectSpread({}, baseHeading(headingSizes.h600.size, headingSizes.h600.lineHeight)), {}, {
    color: (0, _tokens.token)('color.text.highEmphasis', colors.heading(props)),
    fontWeight: 500,
    letterSpacing: "-0.008em",
    marginTop: "".concat((0, _constants.gridSize)() * 3.5, "px")
  });
};

exports.h600 = h600;

var h500 = function h500() {
  var props = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return _objectSpread(_objectSpread({}, baseHeading(headingSizes.h500.size, headingSizes.h500.lineHeight)), {}, {
    color: (0, _tokens.token)('color.text.highEmphasis', colors.heading(props)),
    fontWeight: 600,
    letterSpacing: "-0.006em",
    marginTop: "".concat((0, _constants.gridSize)() * 3, "px")
  });
};

exports.h500 = h500;

var h400 = function h400() {
  var props = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return _objectSpread(_objectSpread({}, baseHeading(headingSizes.h400.size, headingSizes.h400.lineHeight)), {}, {
    color: (0, _tokens.token)('color.text.highEmphasis', colors.heading(props)),
    fontWeight: 600,
    letterSpacing: "-0.003em",
    marginTop: "".concat((0, _constants.gridSize)() * 2, "px")
  });
};

exports.h400 = h400;

var h300 = function h300() {
  var props = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return _objectSpread(_objectSpread({}, baseHeading(headingSizes.h300.size, headingSizes.h300.lineHeight)), {}, {
    color: (0, _tokens.token)('color.text.highEmphasis', colors.heading(props)),
    fontWeight: 600,
    marginTop: "".concat((0, _constants.gridSize)() * 2.5, "px"),
    textTransform: 'uppercase'
  });
};

exports.h300 = h300;

var h200 = function h200() {
  var props = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return _objectSpread(_objectSpread({}, baseHeading(headingSizes.h200.size, headingSizes.h200.lineHeight)), {}, {
    color: (0, _tokens.token)('color.text.lowEmphasis', colors.subtleHeading(props)),
    fontWeight: 600,
    marginTop: "".concat((0, _constants.gridSize)() * 2, "px")
  });
};

exports.h200 = h200;

var h100 = function h100() {
  var props = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return _objectSpread(_objectSpread({}, baseHeading(headingSizes.h100.size, headingSizes.h100.lineHeight)), {}, {
    color: (0, _tokens.token)('color.text.lowEmphasis', colors.subtleHeading(props)),
    fontWeight: 700,
    marginTop: "".concat((0, _constants.gridSize)() * 2, "px")
  });
};

exports.h100 = h100;