export declare type colorPaletteType = '8' | '16' | '24';
export declare type Elevation = 'e100' | 'e200' | 'e300' | 'e400' | 'e500';
export declare type ThemeModes = 'light' | 'dark';
export interface Theme {
    mode: ThemeModes;
}
export interface GlobalThemeTokens extends Theme {
}
export declare type ThemeProps = AtlaskitThemeProps | CustomThemeProps | NoThemeProps;
export interface CustomThemeProps {
    theme: Theme;
    [index: string]: any;
}
export interface AtlaskitThemeProps {
    theme: {
        __ATLASKIT_THEME__: Theme;
    };
    [index: string]: any;
}
export interface NoThemeProps {
    [index: string]: any;
}
export declare type DefaultValue = string | number;
export declare type ThemedValue<V = DefaultValue> = (props?: ThemeProps) => V | '';
export interface Layers {
    card: 100;
    navigation: 200;
    dialog: 300;
    layer: 400;
    blanket: 500;
    modal: 510;
    flag: 600;
    spotlight: 700;
    tooltip: 800;
}
